package org.jeecg.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.app.dto.UserWechatRegisterDTO;
import org.jeecg.modules.app.entity.User;
import org.jeecg.modules.app.vo.LoginUserVO;

import javax.servlet.http.HttpServletRequest;

public interface IUserService extends IService<User> {

    LoginUserVO wechatInfo(UserWechatRegisterDTO userWechatRegisterDTO, HttpServletRequest request);

    /**
     * 获取脱敏的已登录用户信息
     *
     * @return
     */
    LoginUserVO getLoginUserVO(User user);

    LoginUserVO wechatLogin(String code);
}
